module.exports = {
    extends: 'stylelint-config-standard',
    plugins: [
        'stylelint-scss',
    ],
    rules: {
        // Use `scss/at-rule-no-unknown` instead.
        'at-rule-no-unknown': null,
        'indentation': 4,
        'max-empty-lines': 2,
        'property-no-unknown': [true, {
            ignoreProperties: [
                'font-smooth',
                'user-drag',
            ],
        }],
        // Having this at `0` breaks how we use nested BEM syntax.
        'selector-max-empty-lines': 1,
        // stylelint-scss
        'scss/at-rule-no-unknown': true,
        'scss/at-mixin-parentheses-space-before': 'never',
        'scss/dollar-variable-colon-space-after': 'always',
        'scss/selector-no-redundant-nesting-selector': true,
    },
};
